Bug 41556 - Feature Request: format string for masking ip address
Summary: Feature Request: format string for masking ip address
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_log_config (show other bugs)
Version: 2.2.0
Hardware: Other other
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-02-07 03:27 UTC by Jens Weibler
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Weibler 2007-02-07 03:27:11 UTC
For legal reasons it might not be allowed to save the full ip address with each
request.
A new format string similar to %...a should give the administrator the
possibility to log only the subnet - not the full ip address. The size of the
truncating subnet mask should be configurable.

Examples:
Request from 192.168.0.1 - just log 192.168.0.0 (truncate to /24)
Request from 192.168.1.1 - just log 192.168.0.0 (truncate to /16)
Comment 1 Jeff Trawick 2007-02-07 03:43:54 UTC
You can implement a module which provides such formatting for mod_log_config. 
mod_logio has a good example of how to do that.  (See references to log_bytes_in.)
Comment 2 William A. Rowe Jr. 2007-02-26 01:20:29 UTC
I don't really know that a patch/directive is needed, since you can use piped
log files to transmorph your log lines into any format required, and mask out
any data you consider confidential before it hits the disk.

logresolve does something very much like this.
Comment 3 Jens Weibler 2007-02-26 01:40:56 UTC
With the same argumentation you can drop the whole log_config..

Being forced to run an external script for each opened access_log seems to me
too much overhead.
Comment 4 William A. Rowe Jr. 2018-11-07 21:08:48 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.